using NwndEntFwkAPI.Domain;
using NwndEntFwkAPI.BusinessObject;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Threading.Tasks;

namespace NwndEntFwk
{
     public class CategoriesFunctions
     {
         private CategoriesFunctions()
         {
         }

         /// <summary>
         /// Used when adding or updating a record.
         /// </summary>
         internal static async Task<IActionResult> AddOrEditAsync(Categories model, CrudOperation operation, bool isForListInlineOrListCrud = false)
         {
             try
             {
                 Categories objCategories;

                 // create a new instance of the Categories when adding a new record
                 // or, retrieve the record that needs to be updated
                 if (operation == CrudOperation.Add)
                    objCategories = new Categories();
                 else
                    objCategories = await Categories.SelectByPrimaryKeyAsync(model.CategoryID);

                 // assign values to the Categories instance
                 objCategories.CategoryID = model.CategoryID;
                 objCategories.CategoryName = model.CategoryName;
                 objCategories.Description = model.Description;

                 // save the new record, or the updated values of the current record
                 if (operation == CrudOperation.Add)
                    await objCategories.InsertAsync();
                 else
                    await objCategories.UpdateAsync();

                 // everthing went well
                 return new OkResult();
             }
             catch
             {
                 // something went wrong
                 return new BadRequestResult();
             }
         }
     }
}
