using NwndEntFwkAPI.Domain;
using NwndEntFwkAPI.BusinessObject;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Threading.Tasks;

namespace NwndEntFwk
{
     public class SuppliersFunctions
     {
         private SuppliersFunctions()
         {
         }

         /// <summary>
         /// Used when adding or updating a record.
         /// </summary>
         internal static async Task<IActionResult> AddOrEditAsync(Suppliers model, CrudOperation operation, bool isForListInlineOrListCrud = false)
         {
             try
             {
                 Suppliers objSuppliers;

                 // create a new instance of the Suppliers when adding a new record
                 // or, retrieve the record that needs to be updated
                 if (operation == CrudOperation.Add)
                    objSuppliers = new Suppliers();
                 else
                    objSuppliers = await Suppliers.SelectByPrimaryKeyAsync(model.SupplierID);

                 // assign values to the Suppliers instance
                 objSuppliers.SupplierID = model.SupplierID;
                 objSuppliers.CompanyName = model.CompanyName;
                 objSuppliers.ContactName = model.ContactName;
                 objSuppliers.ContactTitle = model.ContactTitle;
                 objSuppliers.Address = model.Address;
                 objSuppliers.City = model.City;
                 objSuppliers.Region1 = model.Region1;
                 objSuppliers.PostalCode = model.PostalCode;
                 objSuppliers.Country = model.Country;
                 objSuppliers.Phone = model.Phone;
                 objSuppliers.Fax = model.Fax;
                 objSuppliers.HomePage = model.HomePage;

                 // save the new record, or the updated values of the current record
                 if (operation == CrudOperation.Add)
                    await objSuppliers.InsertAsync();
                 else
                    await objSuppliers.UpdateAsync();

                 // everthing went well
                 return new OkResult();
             }
             catch
             {
                 // something went wrong
                 return new BadRequestResult();
             }
         }
     }
}
