using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using NwndEntFwkAPI.Domain;
using NwndEntFwkAPI.BusinessObject;
using System.Text.Json;
using System.Threading.Tasks;

namespace NwndEntFwk.Pages
{
     public class Categories_DetailsModel : PageModel
     {
         [BindProperty]
         public NwndEntFwkAPI.BusinessObject.Categories Categories { get; set; }

         [BindProperty]
         public string ReturnUrl { get; set; }

         /// <summary>
         /// Initial handler the razor page encounters.
         /// </summary>
         public async Task OnGetAsync(int id, string returnUrl)
         {
             await LoadPageAsync(id, returnUrl);
         }

         public async Task LoadPageAsync(int id, string returnUrl)
         {
             // select a record by primary key(s)
             NwndEntFwkAPI.BusinessObject.Categories objCategories = await Categories.SelectByPrimaryKeyAsync(id);

             // assign values to this page's bound property
             Categories = objCategories;

             // assign the return url
             ReturnUrl = returnUrl;
         }
     }
}
