using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using NwndEntFwkAPI.Domain;
using NwndEntFwkAPI.BusinessObject;
using System.Text.Json;
using System.Threading.Tasks;

namespace NwndEntFwk.Pages
{
     public class Products_DetailsModel : PageModel
     {
         [BindProperty]
         public NwndEntFwkAPI.BusinessObject.Products Products { get; set; }

         [BindProperty]
         public string ReturnUrl { get; set; }

         /// <summary>
         /// Initial handler the razor page encounters.
         /// </summary>
         public async Task OnGetAsync(int id, string returnUrl)
         {
             await LoadPageAsync(id, returnUrl);
         }

         public async Task LoadPageAsync(int id, string returnUrl)
         {
             // select a record by primary key(s)
             NwndEntFwkAPI.BusinessObject.Products objProducts = await Products.SelectByPrimaryKeyAsync(id);

             // assign values to the model
             Products objProductsTemp = new Products();
             objProductsTemp.ProductID = objProducts.ProductID;
             objProductsTemp.ProductName = objProducts.ProductName;
             objProductsTemp.SupplierID = objProducts.SupplierID;
             objProductsTemp.CategoryID = objProducts.CategoryID;
             objProductsTemp.QuantityPerUnit = objProducts.QuantityPerUnit;
             objProductsTemp.UnitPrice = objProducts.UnitPrice;
             objProductsTemp.UnitsInStock = objProducts.UnitsInStock;

             if (objProducts.UnitsInStock.HasValue)
                 objProductsTemp.UnitsInStockHidden = objProducts.UnitsInStock.Value.ToString();
             else
                 objProductsTemp.UnitsInStockHidden = null;

             objProductsTemp.UnitsOnOrder = objProducts.UnitsOnOrder;

             if (objProducts.UnitsOnOrder.HasValue)
                 objProductsTemp.UnitsOnOrderHidden = objProducts.UnitsOnOrder.Value.ToString();
             else
                 objProductsTemp.UnitsOnOrderHidden = null;

             objProductsTemp.ReorderLevel = objProducts.ReorderLevel;

             if (objProducts.ReorderLevel.HasValue)
                 objProductsTemp.ReorderLevelHidden = objProducts.ReorderLevel.Value.ToString();
             else
                 objProductsTemp.ReorderLevelHidden = null;

             objProductsTemp.Discontinued = objProducts.Discontinued;

             // assign values to this page's bound property
             Products = objProductsTemp;

             // assign the return url
             ReturnUrl = returnUrl;
         }
     }
}
