﻿// deletes multiple items selected in the jqgrid.
function deleteItems() {
    var itemIDsToDelete = $("#list-grid").jqGrid('getGridParam', 'selarrrow').toString();

    if (itemIDsToDelete !== '')
        deleteMultipleItems(itemIDsToDelete);
    else
        ShowError('At least 1 item must be selected to perform a delete operation.', 'No Item Selected');
}

// shows a delete dialog, clicking the Delete button will delete multiple items selected in the jqgrid.
function deleteMultipleItems(itemIDs) {
    var dialogTitle = 'Permanently Delete Items ' + itemIDs + '?';

    $("#errorConfirmationDialog").html('<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Please click delete to confirm deletion of the following items:<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' + itemIDs + '</p>');

    $("#errorConfirmationDialog").dialog({
        title: dialogTitle,
        modal: true,
        buttons: {
            "Delete": function () {
                callWebMethod(urlAndMethod + '?handler=RemoveMultiple&ids=' + itemIDs, '');
                $(this).dialog("close");
            },
            "Cancel": function () { $(this).dialog("close"); }
        }
    });

    $('#errorConfirmationDialog').dialog('open');
    return false;
}

// calls a method in the associated razor page model (c# code).
// when the operation is successfull, it reloads the jqgrid's data.
function callWebMethod(urlAndMethod, parameter) {
    jQuery.ajax({
        type: "GET",
        url: urlAndMethod,
        data: "{" + parameter + "}",
        contentType: "application/json; charset=utf-8",
        dataType: "json",
        success: function (msg) {
            $("#list-grid").trigger("reloadGrid");
        },
        error: function (xhr, textStatus, errorThrown) {
            ShowError(xhr.responseText, '');
        }
    });
}

// shows an error message in a dialog.
function ShowError(errorMessage, errorTitle) {
    $(document).ready(function () {
        $("#errorDialog").html(errorMessage);
        $("#errorDialog").dialog({
            modal: true,
            title: errorTitle,
            buttons: {
                Ok: function () {
                    $(this).dialog("close");
                }
            }
        });
    });
}