﻿// validates whether the passed value is numeric
// e.g. 1234 = true, 12abc34 = false.
function isNumeric(value) {
    var numericPattern = /^\d+$/;
    var matchArray = value.toString().match(numericPattern);

    if (matchArray !== null)
        return true;

    return false;
}

// validates whether the passed value is a decimal
// e.g. 12.34 = true, 12ab.34 = false.
function isDecimal(value) {
    var numericPattern = /^[0-9]+(\.[0-9]+)?$/;
    var matchArray = value.toString().match(numericPattern);

    if (matchArray !== null)
        return true;

    return false;
}

// validates whether the passed value is a date in this format MM/dd/yyyy
// e.g. 12/01/2018 = true, 12/1/2018 or 2018/12/01 = false.
function isDate(txtDate) {
    var day;
    var month;
    var year;

    if (txtDate.length !== 10 && txtDate.length !== 9 && txtDate.length !== 8)
        return false;

    // there should be 2 '/' slashes (mainStr.split(",").length - 1)
    if ((txtDate.split('/').length - 1) !== 2)
        return false;

    // extract month, day and year from the txtDate (expected format is MM/dd/yyyy), e.g. 7/4/2013
    // subtraction will cast variables to integer implicitly (needed
    // for !== comparing)
    var dateArray = txtDate.split('/');
    month = dateArray[0];
    day = dateArray[1];
    year = dateArray[2];

    // test year range
    if (year < 1000 || year > 3000)
        return false;

    var objDate = new Date(year, month - 1, day);

    if (objDate.getFullYear() !== year || objDate.getMonth() + 1 !== month && objDate.getDate() !== day)
        return false;

    // valid
    return true;
}